Appearance
Stored only in your browser. Get one under Tokens.
List the most recent commands sent to a device
GET
/devices/{id}/commands
Newest first. A command still pending after 120 seconds is reported with status "timeout".
The output of a command is not listed: GET /devices/{id}/commands/{cid} returns it.
Authorizations
ApiKeyAuth
Type
API Key (header: Authorization)
Parameters
Path Parameters
id*
ID|PRN|NICK
Type
Requiredstring
Query Parameters
limit
Maximum number of commands (default 20, max 100)
Type
integer
Responses
OK
application/json
JSON { "args": { "additionalProperties": "string" }, "cmd": "string", "code": 0, "created_at": "string", "created_by": "string", "device_id": "string", "error": "string", "expires_at": "string", "finished_at": "string", "id": "string", "status": "string" }
[
]